SoGLRenderAction.h(3)

NAME
SoGLRenderAction.h

SYNOPSIS

#include <Inventor/actions/SoAction.h>
#include <Inventor/actions/SoSubAction.h>
#include <Inventor/SbBasic.h>
#include <Inventor/SbViewportRegion.h>
#include <Inventor/system/inttypes.h>
#include <Inventor/lists/SoPathList.h>
#include <Inventor/lists/SbList.h>

  Classes
class SoGLRenderAction
The SoGLRenderAction class renders the scene graph with OpenGL calls.

  Typedefs
typedef void SoGLRenderPassCB(void *userdata)
typedef void SoGLPreRenderCB(void *userdata, class SoGLRenderAction *action)
typedef float SoGLSortedObjectOrderCB(void *userdata, SoGLRenderAction *action)

Typedef Documentation

  void SoGLRenderPassCB
Callback functions for the setPassCallback() method need to be of this type.

userdata is a void pointer to any data the application need to know of in the callback function (like for instance a this pointer).

See also
    setPassCallback()

  float SoGLSortedObjectOrderCB
A callback used for controlling the transparency sorting order.

See also
    setSortedObjectOrderStrategy().

Since
    Coin 2.5

Author

Generated automatically by Doxygen for Coin from the source code.